Subject: I-D Action:draft-ietf-v6ops-ipv6-cpe-router-02.txt

From: [email-masked]
Date: Mon, 26 Oct 2009 14:45:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 Operations Working Group of the IETF.

	Title           : Requirements for IPv6 Customer Edge Routers
	Author(s)       : H. Singh, et al.
	Filename        : draft-ietf-v6ops-ipv6-cpe-router-02.txt
	Pages           : 14
	Date            : 2009-10-26

This document specifies requirements for an IPv6 Customer Edge (CE)
router.  Specifically, the current version of this document focuses
on the provisioning of an IPv6 CE router and the provisioning of IPv6
hosts attached to it.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-v6ops-ipv6-cpe-router-02.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Michael Newbery <[email-masked]>
Date: Tue, 27 Oct 2009 13:46:34 +1300

>    IPv6 Neighbor Discovery and DHCP protocols operate over any type of
>    IPv6 supported link-layer and there is no need for a link-layer
>    specific configuration protocol for IPv6 network layer  
> configuration
>    options like what's e.g. in PPP IPCP for IPv4.  This section makes

"e.g." is superfluous
   options like what's in PPP IPCP for IPv4.  This section makes
or better
   options, as is in PPP IPCP for IPv4.  This section makes

>    G-2:  The IPV6 CE router SHOULD support the following RFCs:
>
>          *  Internet Protocol, Version 6 (IPv6) Specification  
> [RFC2460]
>
>          *  Stateless Dynamic Host Configuration Protocol (DHCP)  
> Service
>             for IPv6 [RFC3736]
>
>          *  Default Router Preferences and More-Specific Routes
>             [RFC4191]
>
>          *  IP Version 6 Addressing Architecture [RFC4291]
>
>          *  IPv6 Subnet Model: the Relationship between Links and  
> Subnet
>             Prefixes [I-D.ietf-6man-ipv6-subnet-model]

SHOULD seems inappropriate. RFC2460 must be MUST, especially  
considering the immediately preceding
>    G-1:  An IPv6 CE router is an IPv6 node and MUST follow the IPv6  
> Node
>          Requirements [RFC4294] specification.
since RFC4294 says
>    The Internet Protocol Version 6 is specified in [RFC-2460].  This
>    specification MUST be supported.

---

From: Ole Troan <[email-masked]>
Date: Tue, 27 Oct 2009 13:08:50 +0100

Michael,

thanks, we'll incorporate your comments into the next version.

cheers,
Ole

On Tue, Oct 27, 2009 at 1:46 AM, Michael Newbery <[email-masked]> wrote:
>>   specific configuration protocol for IPv6 network layer configuration
>>         *  Internet Protocol, Version 6 (IPv6) Specification [RFC2460]
>>
>>         *  Stateless Dynamic Host Configuration Protocol (DHCP) Service
>>            for IPv6 [RFC3736]
>>
>>         *  IPv6 Subnet Model: the Relationship between Links and Subnet
> SHOULD seems inappropriate. RFC2460 must be MUST, especially considering the
> immediately preceding
>>
>>   G-1:  An IPv6 CE router is an IPv6 node and MUST follow the IPv6 Node